package com.casic.br.view.device.robot

import com.casic.br.R
import com.gyf.immersionbar.ImmersionBar
import com.pengxh.kt.lite.base.KotlinBaseActivity
import com.pengxh.kt.lite.extensions.convertColor
import com.pengxh.kt.lite.utils.ImmerseStatusBarUtil
import kotlinx.android.synthetic.main.include_left_back_title.*

class AddTimeConfigActivity : KotlinBaseActivity() {

    override fun initLayoutView(): Int = R.layout.activity_robot_add_time

    override fun observeRequestState() {

    }

    override fun setupTopBarLayout() {
        ImmersionBar.with(this).statusBarDarkFont(true).init()
        ImmerseStatusBarUtil.setColor(this, R.color.mainBackColor.convertColor(this))

        leftBackView.setOnClickListener { finish() }
        titleView.text = "定时"
    }

    override fun initData() {

    }

    override fun initEvent() {

    }
}